Bug 564466 - Review Request: ubuntu-title-fonts - decorative font of Ubuntu logo
Review Request: ubuntu-title-fonts - decorative font of Ubuntu logo
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Paul Flo Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-12 15:18 EST by Paul Flo Williams
Modified: 2010-09-04 01:17 EDT (History)
5 users (show)

See Also:
Fixed In Version: ubuntu-title-fonts-002.000-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-02 16:42:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
nicolas.mailhot: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
repo-font-audit messages to relay upstream (4.33 KB, application/x-xz)
2010-02-22 09:58 EST, Nicolas Mailhot
no flags Details

  None (edit)
Description Paul Flo Williams 2010-02-12 15:18:40 EST
Spec URL: http://hisdeedsaredust.com/pkg/ubuntutitle-fonts.spec
SRPM URL: http://hisdeedsaredust.com/pkg/ubuntutitle-fonts-002.000-1.fc12.src.rpm
Description:
Ubuntu-title is a font designed by Andrew Fitzsimon commissioned by Canonical,
the sponsor of Ubuntu, to create the lettering of the Ubuntu logo.

Ubuntu-title currently provides the following Unicode coverage:
Basic Latin: 93/128 (72.66%)
Latin-1 Supplement: 2/128 (1.56%)

This is my first attempt at packaging.
Comment 1 Naveen Kumar 2010-02-19 10:27:24 EST
Here's an unofficial review, using the checklist as reference from:
http://fedoraproject.org/wiki/User:Tibbs/Review_Template


+ source files match upstream:  
18b223615ba2e3444b87360bba80f0cefdcda51b8cf50354e3d3a052b791370c  :ubuntu-title-002.000.tar.gz from source and upstream.

+package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.

? (+/-) Copying.txt specifies "OFL 1.1 and GPL 2 with exceptions" where as specfile mentions "OFL or GPLv2 with exceptions". 
+ licenses are open source-compatible: license text included in package.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
- Koji scratch build failed: http://koji.fedoraproject.org/koji/taskinfo?taskID=1999283
+ package installs properly.
+ rpmlint is silent. (rpmlint version 0.91)
+ final provides and requires are sane:
    rpm -qp --provides output:
config(ubuntutitle-fonts) = 002.000-1.fc12
font(:lang=fj)  
font(:lang=ho)  
font(:lang=ia)  
font(:lang=ie)  
font(:lang=io)  
font(:lang=kj)  
font(:lang=kwm)  
font(:lang=ms)  
font(:lang=ng)  
font(:lang=nr)  
font(:lang=om)  
font(:lang=rn)  
font(:lang=rw)  
font(:lang=sn)  
font(:lang=so)  
font(:lang=ss)  
font(:lang=st)  
font(:lang=sw)  
font(:lang=ts)  
font(:lang=uz)  
font(:lang=xh)  
font(:lang=za)  
font(:lang=zu)  
font(ubuntu-title)  
ubuntutitle-fonts = 002.000-1.fc12

   rpm -qp --requires output: 
/bin/sh  
/bin/sh  
config(ubuntutitle-fonts) = 002.000-1.fc12
fontpackages-filesystem  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

+ no shared libraries are added to the regular linker search paths.
 + owns the directories it creates.
+ doesn't own any directories it shouldn't.
* no %files section
+ file permissions are appropriate.
+ scriptlets sane
+ content (font)
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
+ no desktop files
Comment 2 Paul Flo Williams 2010-02-19 10:58:31 EST
Many thanks, Naveen. To take the points in order:

? (+/-) Copying.txt specifies "OFL 1.1 and GPL 2 with exceptions" where as
specfile mentions "OFL or GPLv2 with exceptions". 

I forgot to question this one. OFL v1.1 isn't on the list of valid licences, so I omitted the version when I guess I should have asked upstream about this.

- Koji scratch build failed:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1999283

Hmm, it builds in mock. I don't know how Koji works, but I notice you provided a spec instead of the src.rpm. Is that correct?

Thank you. I'll go and ask about that licence.
Comment 3 Paul Flo Williams 2010-02-19 11:33:15 EST
(In reply to comment #2)

> I forgot to question this one. OFL v1.1 isn't on the list of valid licences, so
> I omitted the version when I guess I should have asked upstream about this.

From the Fedora Licensing page, http://fedoraproject.org/wiki/Licensing:Main, it appears that OFL v1.1 has the short name "OFL", so the spec is correct.

If you're asking about the "OFL and GPL" versus "OFL or GPL", then Packaging:LicensingGuidelines says that this one is "or", as the font is dual licensed.
Comment 4 Naveen Kumar 2010-02-21 23:39:24 EST
(In reply to comment #2)
> - Koji scratch build failed:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=1999283
> 
> Hmm, it builds in mock. I don't know how Koji works, but I notice you provided
> a spec instead of the src.rpm. Is that correct?
> 
> Thank you. I'll go and ask about that licence.    

OOPS! extremely sorry! Yes it does build in Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2004217
Comment 5 Naveen Kumar 2010-02-21 23:42:32 EST
(In reply to comment #3)
> (In reply to comment #2)
> 
> > I forgot to question this one. OFL v1.1 isn't on the list of valid licences, so
> > I omitted the version when I guess I should have asked upstream about this.
> 
> From the Fedora Licensing page, http://fedoraproject.org/wiki/Licensing:Main,
> it appears that OFL v1.1 has the short name "OFL", so the spec is correct.
> 
> If you're asking about the "OFL and GPL" versus "OFL or GPL", then
> Packaging:LicensingGuidelines says that this one is "or", as the font is dual
> licensed.    

Yep, Thanks for the clarification. I think that should make it sane.
Comment 6 Nicolas Mailhot 2010-02-22 09:54:45 EST
Thanks both of you for the work, sorry I was busy elsewhere, here is a review

1. (blocking) as per fonts packaging guidelines the organisation releasing the fonts should be used to prefix the package name, so the package name should be
ubuntu-title-fonts
(package names are a PITA to change after import, try to get them right from the start)

http://fedoraproject.org/wiki/Packaging:FontsPolicy#Naming


2. It's not a good idea to include this kind of coverage info in the summary, it will (hopefully) change over time and you want the summary to stay invariant (esp. if we finally manage to get them translated)

If you want to add coverage hints be very general "partial basic latin" and not so specific (note that "partial basic latin" is already borderline and specific)


The rest if fine, just fix this and I'll approve the package
Comment 7 Nicolas Mailhot 2010-02-22 09:58:14 EST
Created attachment 395486 [details]
repo-font-audit messages to relay upstream
Comment 8 Paul Flo Williams 2010-02-23 14:28:22 EST
Thank you for the review.

Spec URL: http://hisdeedsaredust.com/pkg/ubuntu-title-fonts.spec
SRPM URL:
http://hisdeedsaredust.com/pkg/ubuntu-title-fonts-002.000-2.fc12.src.rpm

Changes:
1. Changed package name to ubuntu-title-fonts
2. Coverage information removed from description

rpmlint has now been updated and it complains about the spelling of the font creator's name; other than that it's clean.

Builds in mock.

repo-font-audit runs fontlint and its complaints are already acknowledged by upstream in the BUGS.txt file which is in the distribution.
Comment 9 Paul Flo Williams 2010-07-21 09:09:18 EDT
Ping Nicholas; is there something more I need to do?
Comment 10 Nicolas Mailhot 2010-08-14 07:38:56 EDT
This one is nice and clean.

I'm very sorry for the delay, this is no good at all on my part, life didn't leave me much free time this year. It has been very nice to see people like you step up and keep the SIG alive while I was unavailable

Comment 11 Nicolas Mailhot 2010-08-14 07:58:53 EDT
Anyway,

ਔਔਔ APPROVED ਔਔਔ

You can now continue from
http://fedoraproject.org/wiki/Font_package_lifecycle#3.a

I hope the process was pleasant, and that it will inspire you to package a
other fonts for Fedora. Please do not hesitate to suggest improvements to our
organisation or documentation on the fonts mailing list.

Thank you for another contribution to our font package pool.

⇒ REASSIGNING, this package is all yours now
Comment 12 Paul Flo Williams 2010-08-19 08:20:17 EDT
Naveen, thank you for the initial review.
Nicolas, thank you for the review, and sponsorship.

New Package SCM Request
=======================
Package Name: ubuntu-title-fonts
Short Description: decorative font of Ubuntu logo
Owners: frixxon
Branches: f13 f14 el6
InitialCC: fonts-sig
Comment 13 Kevin Fenzi 2010-08-23 16:56:17 EDT
Git done (by process-git-requests).
Comment 14 Fedora Update System 2010-08-25 17:38:21 EDT
ubuntu-title-fonts-002.000-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/ubuntu-title-fonts-002.000-2.fc13
Comment 15 Fedora Update System 2010-08-25 17:38:27 EDT
ubuntu-title-fonts-002.000-2.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/ubuntu-title-fonts-002.000-2.fc14
Comment 16 Fedora Update System 2010-08-25 20:57:55 EDT
ubuntu-title-fonts-002.000-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ubuntu-title-fonts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ubuntu-title-fonts-002.000-2.fc13
Comment 17 Fedora Update System 2010-09-02 16:42:33 EDT
ubuntu-title-fonts-002.000-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2010-09-04 01:17:10 EDT
ubuntu-title-fonts-002.000-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.